Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class MockHttpServletResponse

    java.lang.Object
      org.springframework.mock.web.MockHttpServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class MockHttpServletResponse

extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Mock implementation of the `HttpServletResponse` interface.

Compatible with Servlet 2.5 as well as Servlet 3.0.

Since:
  1.0.2
Author:
  Juergen Hoeller, Rod Johnson

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`MockHttpServletResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long value)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIncludedUrl(java.lang.String includedUrl)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)` The default implementation delegates to `encodeURL(java.lang.String)`, returning the given URL String as-is.
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)` The default implementation returns the given URL String as-is.
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`byte[]` | `getContentAsByteArray()`
`java.lang.String` | `getContentAsString()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`javax.servlet.http.Cookie` | `getCookie(java.lang.String name)`
`javax.servlet.http.Cookie[]` | `getCookies()`
`java.lang.String` | `getErrorMessage()`
`java.lang.String` | `getForwardedUrl()`
`java.lang.String` | `getHeader(java.lang.String name)` Return the primary value for the given header as a String, if any.
`java.util.Set<java.lang.String>` | `getHeaderNames()` Return the names of all specified headers as a Set of Strings.
`java.util.List<java.lang.String>` | `getHeaders(java.lang.String name)` Return all values for the given header as a List of Strings.
`java.lang.Object` | `getHeaderValue(java.lang.String name)` Return the primary value for the given header, if any.
`java.util.List<java.lang.Object>` | `getHeaderValues(java.lang.String name)` Return all values for the given header as a List of value objects.
`java.lang.String` | `getIncludedUrl()`
`java.util.List<java.lang.String>` | `getIncludedUrls()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.lang.String` | `getRedirectedUrl()`
`int` | `getStatus()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`boolean` | `isOutputStreamAccessAllowed()` Return whether `getOutputStream()` access is allowed.
`boolean` | `isWriterAccessAllowed()` Return whether `getOutputStream()` access is allowed.
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int status)`
`void` | `sendError(int status, java.lang.String errorMessage)`
`void` | `sendRedirect(java.lang.String url)`
`void` | `setBufferSize(int bufferSize)`
`void` | `setCharacterEncoding(java.lang.String characterEncoding)`
`void` | `setCommitted(boolean committed)`
`void` | `setContentLength(int contentLength)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setForwardedUrl(java.lang.String forwardedUrl)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIncludedUrl(java.lang.String includedUrl)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setOutputStreamAccessAllowed(boolean outputStreamAccessAllowed)` Set whether `getOutputStream()` access is allowed.
`void` | `setStatus(int status)`
`void` | `setStatus(int status, java.lang.String errorMessage)`
`void` | `setWriterAccessAllowed(boolean writerAccessAllowed)` Set whether `getWriter()` access is allowed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockHttpServletResponse

    public MockHttpServletResponse()

Method Detail

### setOutputStreamAccessAllowed

    public void setOutputStreamAccessAllowed(boolean outputStreamAccessAllowed)

  Set whether `getOutputStream()` access is allowed.

  Default is `true`.

### isOutputStreamAccessAllowed

    public boolean isOutputStreamAccessAllowed()

  Return whether `getOutputStream()` access is allowed.

### setWriterAccessAllowed

    public void setWriterAccessAllowed(boolean writerAccessAllowed)

  Set whether `getWriter()` access is allowed.

  Default is `true`.

### isWriterAccessAllowed

    public boolean isWriterAccessAllowed()

  Return whether `getOutputStream()` access is allowed.

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.UnsupportedEncodingException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.UnsupportedEncodingException`

### getContentAsByteArray

    public byte[] getContentAsByteArray()

### getContentAsString

    public java.lang.String getContentAsString()
                                        throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

### setContentLength

    public void setContentLength(int contentLength)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### getContentLength

    public int getContentLength()

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int bufferSize)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### flushBuffer

    public void flushBuffer()

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### setCommitted

    public void setCommitted(boolean committed)

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

### getCookie

    public javax.servlet.http.Cookie getCookie(java.lang.String name)

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### getHeaderNames

    public java.util.Set<java.lang.String> getHeaderNames()

  Return the names of all specified headers as a Set of Strings.

  As of Servlet 3.0, this method is also defined HttpServletResponse.

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletResponse`
  Returns:
    the `Set` of header name `Strings`, or an empty `Set` if none

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Return the primary value for the given header as a String, if any. Will return the first value in case of multiple values.

  As of Servlet 3.0, this method is also defined HttpServletResponse. As of Spring 3.1, it returns a stringified value for Servlet 3.0 compatibility. Consider using `getHeaderValue(String)` for raw Object access.

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletResponse`
  Parameters:
    `name` - the name of the header
  Returns:
    the associated header value, or `null`if none``

### getHeaders

    public java.util.List<java.lang.String> getHeaders(java.lang.String name)

  Return all values for the given header as a List of Strings.

  As of Servlet 3.0, this method is also defined HttpServletResponse. As of Spring 3.1, it returns a List of stringified values for Servlet 3.0 compatibility. Consider using `getHeaderValues(String)` for raw Object access.

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletResponse`
  Parameters:
    `name` - the name of the header
  Returns:
    the associated header values, or an empty List if none

### getHeaderValue

    public java.lang.Object getHeaderValue(java.lang.String name)

  Return the primary value for the given header, if any.

  Will return the first value in case of multiple values.

  Parameters:
    `name` - the name of the header
  Returns:
    the associated header value, or `null`if none``

### getHeaderValues

    public java.util.List<java.lang.Object> getHeaderValues(java.lang.String name)

  Return all values for the given header as a List of value objects.

  Parameters:
    `name` - the name of the header
  Returns:
    the associated header values, or an empty List if none

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  The default implementation returns the given URL String as-is.

  Can be overridden in subclasses, appending a session id or the like.

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  The default implementation delegates to `encodeURL(java.lang.String)`, returning the given URL String as-is.

  Can be overridden in subclasses, appending a session id or the like in a redirect-specific fashion. For general URL encoding rules, override the common `encodeURL(java.lang.String)` method instead, appyling to redirect URLs as well as to general URLs.

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public void sendError(int status,
                          java.lang.String errorMessage)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int status)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String url)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### getRedirectedUrl

    public java.lang.String getRedirectedUrl()

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status,
                          java.lang.String errorMessage)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `javax.servlet.http.HttpServletResponse`

### getErrorMessage

    public java.lang.String getErrorMessage()

### setForwardedUrl

    public void setForwardedUrl(java.lang.String forwardedUrl)

### getForwardedUrl

    public java.lang.String getForwardedUrl()

### setIncludedUrl

    public void setIncludedUrl(java.lang.String includedUrl)

### getIncludedUrl

    public java.lang.String getIncludedUrl()

### addIncludedUrl

    public void addIncludedUrl(java.lang.String includedUrl)

### getIncludedUrls

    public java.util.List<java.lang.String> getIncludedUrls()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD